Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class OrganizationInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.OrganizationInfo

public final class OrganizationInfo
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable, Publishable

Holds information about an organization.

Objects of this class override the `boolean equals(Object)` and implement the `comparable` interface. Homogeneous collections containing objects of this class may, therefore, be searched and sorted using the `Collection.contains(Object), List.indexOf(Object), Collections.sort(List)` methods.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`OrganizationInfo(java.lang.String orgId)` Create a new `OrganizationInfo` object.
`OrganizationInfo(java.lang.String orgId, java.lang.String calendarId)` Create a new `OrganizationInfo` object.

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare two `OrganizationInfo` objects.
`boolean` | `equals(java.lang.Object obj)` Test two `OrganizationInfo` objects for equality.
`java.lang.String` | `getCalendarId()` Return the ID of the business calendar to use.
`java.lang.Object` | `getContents()`
`java.lang.String` | `getEntryName()`
`java.lang.String` | `getOrgId()` Return the organization ID.
`java.lang.String` | `getOwnerName()`
`java.util.List` | `getReferencedPublishables(java.util.Map publishables)`
`int` | `getType()`
`boolean` | `isPublished()`
`void` | `publish()`
`void` | `setCalendarId(java.lang.String calendarId)` Set the business calendar to use.
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrganizationInfo

    public OrganizationInfo(java.lang.String orgId)

  Create a new `OrganizationInfo` object.

  Parameters:
    `orgId` - The organization ID.

### OrganizationInfo

    public OrganizationInfo(java.lang.String orgId,
                            java.lang.String calendarId)

  Create a new `OrganizationInfo` object.

  Parameters:
    `orgId` - The organization ID.
    `calendarId` - The ID of the business calendar to use when performing business time interval calculations.

Method Detail

### getOrgId

    public final java.lang.String getOrgId()

  Return the organization ID.

  Returns:
    The organization ID.

### getCalendarId

    public final java.lang.String getCalendarId()

  Return the ID of the business calendar to use.

  Returns:
    The ID of the business calendar to use when performing business time interval calculations.
  See Also:
    `setCalendarId(java.lang.String)`

### setCalendarId

    public final void setCalendarId(java.lang.String calendarId)

  Set the business calendar to use.

  Parameters:
    `calendarId` - The ID of the business calendar to use when calculating business time intervals.
  See Also:
    `getCalendarId()`

### toXML

    public java.lang.String toXML()

### equals

    public boolean equals(java.lang.Object obj)

  Test two `OrganizationInfo` objects for equality.

  Parameters:
    `obj` - The object with which to compare this one.
  Returns:
    `true` if `obj` is an instance of `OrganizationInfo` with the same ID as this one.
  Overrides:
    equals in class java.lang.Object
  See Also:
    `compareTo(java.lang.Object)`

### compareTo

    public int compareTo(java.lang.Object o)

  Compare two `OrganizationInfo` objects.
  Specified by:
    compareTo in interface java.lang.Comparable

  Parameters:
    `obj` - The object with which to compare this one. Must be `null` or an instance of `OrganizationInfo`.
  Returns:
    The result of comparing the `from` and `to` members using the `String.compareTo(Object)` method.
  Throws:
    java.lang.ClassCastException - if `o` is not an instance of `OrganizationInfo`.
  See Also:
    `equals(java.lang.Object)`

### getContents

    public java.lang.Object getContents()

  Specified by:
    getContents in interface Publishable

### getEntryName

    public java.lang.String getEntryName()

  Specified by:
    getEntryName in interface Publishable

### getType

    public int getType()

  Specified by:
    getType in interface Publishable

### getOwnerName

    public java.lang.String getOwnerName()

  Specified by:
    getOwnerName in interface Publishable

### isPublished

    public boolean isPublished()

  Specified by:
    isPublished in interface Publishable

### getReferencedPublishables

    public java.util.List getReferencedPublishables(java.util.Map publishables)

  Specified by:
    getReferencedPublishables in interface Publishable

### publish

    public void publish()

  Specified by:
    publish in interface Publishable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)